io.milvus.param.collection

## Class DescribeDatabaseParam.Builder

- java.lang.Object
- - io.milvus.param.collection.DescribeDatabaseParam.Builder

Enclosing class:
  DescribeDatabaseParam

    public static final class DescribeDatabaseParam.Builder
    extends java.lang.Object

Builder for `DescribeDatabaseParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`DescribeDatabaseParam` `build()` Verifies parameters and creates a new `DescribeDatabaseParam` instance.
`DescribeDatabaseParam.Builder` `withDatabaseName(java.lang.String databaseName)` Sets the database name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public DescribeDatabaseParam.Builder withDatabaseName(java.lang.String databaseName)

Sets the database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### build

    public DescribeDatabaseParam build()
                                throws ParamException

Verifies parameters and creates a new `DescribeDatabaseParam` instance.

Returns:
  `DescribeDatabaseParam`
Throws:
  `ParamException`